STRUCT VIF_PARAMS(9)

NAME
struct_vif_params - describes virtual interface parameters

SYNOPSIS

struct vif_params {
  int use_4addr;
  u8 macaddr[ETH_ALEN];
};

MEMBERS

use_4addr
    use 4-address frames

macaddr[ETH_ALEN]
    address to use for this virtual interface. If this parameter is set to zero address the driver may determine the address as needed. This feature is only fully supported by drivers that enable the NL80211_FEATURE_MAC_ON_CREATE flag. Others may support creating * only p2p devices with specified MAC.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT